Activity log for bug #537281

Date Who What changed Old value New value Message
2010-03-11 11:33:17 Olivier Dony (Odoo) bug added bug
2010-03-11 11:33:55 Olivier Dony (Odoo) nominated for series openobject-addons/5.0
2010-03-11 11:33:55 Olivier Dony (Odoo) bug task added openobject-addons/5.0
2010-03-11 11:34:08 Olivier Dony (Odoo) openobject-addons/5.0: milestone 5.0.8
2010-03-19 09:40:07 Stephane Wirtel (OpenERP) openobject-addons/5.0: importance Undecided Medium
2010-03-19 09:40:26 Stephane Wirtel (OpenERP) openobject-addons/5.0: assignee Harry (Open ERP) (hmo-tinyerp)
2010-03-31 17:28:36 Stephane Wirtel (OpenERP) openobject-addons/5.0: milestone 5.0.8 5.0.9
2010-03-31 17:28:40 Stephane Wirtel (OpenERP) openobject-addons: milestone 5.0.8 5.0.9
2010-04-06 17:27:24 Stephane Wirtel (OpenERP) openobject-addons: milestone 5.0.9 5.0.10
2010-04-06 17:27:27 Stephane Wirtel (OpenERP) openobject-addons/5.0: milestone 5.0.9 5.0.10
2010-04-30 14:58:24 Jay Vora (Serpent Consulting Services) openobject-addons/5.0: status New Invalid
2010-05-05 16:39:21 Stephane Wirtel (OpenERP) openobject-addons: milestone 5.0.10 5.0.11
2010-05-06 13:57:18 Julian Robbins description In latest stable there are cases where OpenOffice will somehow cause the file in the DMS to be truncated to 0 bytes. How to reproduce: - have a database with document module installed - connect through FTP and push a test .odt file from OpenOffice (I used OOo 3.0) - the file is uploaded and file size is correct - using FTP integration in you Operating System, connect to the FTP directly from you file explorer (e.g. nautilus in Ubuntu) - now double-click on the file in the FTP directory directly to edit it - it opens in OOo correctly and you can edit it - try to modify and save the file directly in OOo => the save fails with an error message about access rights but at the same time the file is truncated to 0 bytes in the DMS - now if you open another FTP client on another machine you will see the file is 0 bytes now Investigation: Watching the server log it seems that OOo tries to test/use the write access using APPE instead of STOR, and perhaps there is something wrong in our support of APPE (we replace file instead of append?) OOo also creates its lock files etc. but that seems to work fine I think, so it should not be related. In latest stable there are cases where OpenOffice will somehow cause the file in the DMS to be truncated to 0 bytes. How to reproduce:  - have a database with document module installed  - connect through FTP and push a test .odt file from OpenOffice (I used OOo 3.0)  - the file is uploaded and file size is correct  - using FTP integration in you Operating System, connect to the FTP directly from you file explorer (e.g. nautilus in Ubuntu)  - now double-click on the file in the FTP directory directly to edit it  - it opens in OOo correctly and you can edit it  - try to modify and save the file directly in OOo => the save fails with an error message about access rights but at the same time the file is truncated to 0 bytes in the DMS  - now if you open another FTP client on another machine you will see the file is 0 bytes now Investigation: Watching the server log it seems that OOo tries to test/use the write access using APPE instead of STOR, and perhaps there is something wrong in our support of APPE (we replace file instead of append?) OOo also creates its lock files etc. but that seems to work fine I think, so it should not be related.
2010-06-08 09:55:49 Stephane Wirtel (OpenERP) openobject-addons/5.0: milestone 5.0.10 5.0.12
2010-06-08 09:55:52 Stephane Wirtel (OpenERP) openobject-addons: milestone 5.0.11 5.0.12
2010-11-03 08:10:49 Harry (OpenERP) openobject-addons: assignee Harry (Open ERP) (hmo-tinyerp)
2010-11-03 08:10:54 Harry (OpenERP) openobject-addons/5.0: assignee Harry (Open ERP) (hmo-tinyerp)
2010-11-04 19:56:43 Jay Vora (Serpent Consulting Services) nominated for series openobject-addons/trunk
2010-11-04 19:56:43 Jay Vora (Serpent Consulting Services) bug task added openobject-addons/trunk
2010-11-04 19:56:58 Jay Vora (Serpent Consulting Services) openobject-addons/trunk: status Confirmed Triaged
2010-11-04 19:57:09 Jay Vora (Serpent Consulting Services) openobject-addons/trunk: milestone 5.0.12
2010-12-07 16:39:02 xrg openobject-addons/trunk: status Triaged Fix Committed
2010-12-09 19:45:20 Jay Vora (Serpent Consulting Services) openobject-addons/trunk: status Fix Committed Incomplete
2010-12-10 13:23:22 Jay Vora (Serpent Consulting Services) openobject-addons/trunk: status Incomplete Fix Released
2010-12-10 13:23:27 Jay Vora (Serpent Consulting Services) openobject-addons/trunk: milestone 6.0
2010-12-10 13:27:31 Jay Vora (Serpent Consulting Services) openobject-addons/5.0: status Invalid Won't Fix